"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const winston_1 = require("winston");
const chalk_1 = __importDefault(require("chalk"));
const { printf } = winston_1.format;
const customLevels = {
    error: 0,
    warn: 1,
    menu: 2,
    info: 2,
    debug: 3
};
const printer = printf(info => {
    let level;
    switch (info.level) {
        case 'debug':
            level = chalk_1.default.whiteBright.bgBlue(`${info.level}`);
            break;
        case 'info':
            level = chalk_1.default.whiteBright.bgGreen(`${info.level} `);
            break;
        case 'warn':
            level = chalk_1.default.whiteBright.bgRgb(195, 105, 0)(`${info.level} `);
            break;
        case 'error':
            level = chalk_1.default.whiteBright.bgRed(`${info.level}`);
            break;
        default:
            break;
    }
    return `${level} ${info.message}`;
});
exports.logger = (0, winston_1.createLogger)({
    levels: customLevels,
    format: printer,
    transports: [new winston_1.transports.Console()]
});
